Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.renderer
Class BarRenderer3D

    java.lang.Object
      org.jfree.chart.renderer.AbstractRenderer
          org.jfree.chart.renderer.AbstractCategoryItemRenderer
              org.jfree.chart.renderer.BarRenderer
                  org.jfree.chart.renderer.BarRenderer3D

All Implemented Interfaces:
  CategoryItemRenderer, java.lang.Cloneable, Effect3D, org.jfree.util.PublicCloneable, java.io.Serializable

Direct Known Subclasses:
  StackedBarRenderer3D

public class BarRenderer3D
extends BarRenderer
implements Effect3D, java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

A renderer for bars with a 3D effect, for use with the `CategoryPlot` class.

Author:
  Serge V. Grachov
See Also:
  Serialized Form

Field Summary
`static java.awt.Paint` | `DEFAULT_WALL_PAINT` The default wall paint.
`static double` | `DEFAULT_X_OFFSET` The default x-offset for the 3D effect.
`static double` | `DEFAULT_Y_OFFSET` The default y-offset for the 3D effect.

Fields inherited from class org.jfree.chart.renderer.BarRenderer
`BAR_OUTLINE_WIDTH_THRESHOLD, DEFAULT_ITEM_MARGIN`

Fields inherited from class org.jfree.chart.renderer.AbstractRenderer
`DEFAULT_OUTLINE_PAINT, DEFAULT_OUTLINE_STROKE, DEFAULT_PAINT, DEFAULT_SHAPE, DEFAULT_STROKE, DEFAULT_VALUE_LABEL_FONT, DEFAULT_VALUE_LABEL_PAINT, ZERO`

Constructor Summary
`BarRenderer3D()` Default constructor, creates a renderer with a ten pixel '3D effect'.
`BarRenderer3D(double xOffset, double yOffset)` Constructs a new renderer with the specified '3D effect'.

Method Summary
`void` | `drawBackground(java.awt.Graphics2D g2, CategoryPlot plot, java.awt.geom.Rectangle2D dataArea)` Draws the background for the plot.
`void` | `drawDomainGridline(java.awt.Graphics2D g2, CategoryPlot plot, java.awt.geom.Rectangle2D dataArea, double value)` Draws a grid line against the domain axis.
`void` | `drawItem(java.awt.Graphics2D g2, CategoryItemRendererState state, java.awt.geom.Rectangle2D dataArea, CategoryPlot plot, CategoryAxis domainAxis, ValueAxis rangeAxis, CategoryDataset dataset, int row, int column)` Draws a 3D bar to represent one data item.
`void` | `drawOutline(java.awt.Graphics2D g2, CategoryPlot plot, java.awt.geom.Rectangle2D dataArea)` Draws the outline for the plot.
`void` | `drawRangeGridline(java.awt.Graphics2D g2, CategoryPlot plot, ValueAxis axis, java.awt.geom.Rectangle2D dataArea, double value)` Draws a grid line against the range axis.
`void` | `drawRangeMarker(java.awt.Graphics2D g2, CategoryPlot plot, ValueAxis axis, Marker marker, java.awt.geom.Rectangle2D dataArea)` Draws a range marker.
`java.awt.Paint` | `getWallPaint()` Returns the paint used to highlight the left and bottom wall in the plot background.
`double` | `getXOffset()` Returns the x-offset for the 3D effect.
`double` | `getYOffset()` Returns the y-offset for the 3D effect.
`void` | `setWallPaint(java.awt.Paint paint)` Sets the paint used to hightlight the left and bottom walls in the plot background.

Methods inherited from class org.jfree.chart.renderer.BarRenderer
`calculateBarL0L1, calculateBarW0, calculateBarWidth, calculateSeriesWidth, drawItemLabel, equals, getGradientPaintTransformer, getItemMargin, getLowerClip, getMaxBarWidth, getMinimumBarLength, getNegativeItemLabelPositionFallback, getPositiveItemLabelPositionFallback, getUpperClip, initialise, isDrawBarOutline, setDrawBarOutline, setGradientPaintTransformer, setItemMargin, setMaxBarWidth, setMinimumBarLength, setNegativeItemLabelPositionFallback, setPositiveItemLabelPositionFallback`

Methods inherited from class org.jfree.chart.renderer.AbstractCategoryItemRenderer
`clone, drawItemLabel, getBaseItemURLGenerator, getBaseLabelGenerator, getBaseToolTipGenerator, getColumnCount, getDomainAxis, getDrawingSupplier, getItemURLGenerator, getLabelGenerator, getLegendItem, getPlot, getRangeAxis, getRangeExtent, getRowCount, getSeriesItemURLGenerator, getSeriesLabelGenerator, getSeriesToolTipGenerator, getToolTipGenerator, getToolTipGenerator, hashCode, setBaseItemURLGenerator, setBaseLabelGenerator, setBaseToolTipGenerator, setItemURLGenerator, setLabelGenerator, setPlot, setSeriesItemURLGenerator, setSeriesLabelGenerator, setSeriesToolTipGenerator, setToolTipGenerator`

Methods inherited from class org.jfree.chart.renderer.AbstractRenderer
`addChangeListener, calculateLabelAnchorPoint, createTransformedShape, getBaseItemLabelAnchor, getBaseItemLabelAngle, getBaseItemLabelFont, getBaseItemLabelPaint, getBaseItemLabelRotationAnchor, getBaseItemLabelsVisible, getBaseItemLabelTextAnchor, getBaseNegativeItemLabelPosition, getBaseOutlinePaint, getBaseOutlineStroke, getBasePaint, getBasePositiveItemLabelPosition, getBaseShape, getBaseStroke, getItemLabelAnchor, getItemLabelAnchorOffset, getItemLabelAngle, getItemLabelFont, getItemLabelFont, getItemLabelPaint, getItemLabelPaint, getItemLabelRotationAnchor, getItemLabelTextAnchor, getItemOutlinePaint, getItemOutlineStroke, getItemPaint, getItemShape, getItemStroke, getNegativeItemLabelPosition, getNegativeItemLabelPosition, getPositiveItemLabelPosition, getPositiveItemLabelPosition, getSeriesItemLabelAnchor, getSeriesItemLabelAngle, getSeriesItemLabelFont, getSeriesItemLabelPaint, getSeriesItemLabelRotationAnchor, getSeriesItemLabelTextAnchor, getSeriesNegativeItemLabelPosition, getSeriesOutlinePaint, getSeriesOutlineStroke, getSeriesPaint, getSeriesPositiveItemLabelPosition, getSeriesShape, getSeriesStroke, isItemLabelVisible, isSeriesItemLabelsVisible, notifyListeners, removeChangeListener, setBaseAngle, setBaseItemLabelAnchor, setBaseItemLabelFont, setBaseItemLabelFont, setBaseItemLabelPaint, setBaseItemLabelPaint, setBaseItemLabelRotationAnchor, setBaseItemLabelsVisible, setBaseItemLabelsVisible, setBaseItemLabelsVisible, setBaseItemLabelTextAnchor, setBaseNegativeItemLabelPosition, setBaseNegativeItemLabelPosition, setBaseOutlinePaint, setBaseOutlinePaint, setBaseOutlineStroke, setBaseOutlineStroke, setBasePaint, setBasePaint, setBasePositiveItemLabelPosition, setBasePositiveItemLabelPosition, setBaseShape, setBaseShape, setBaseStroke, setBaseStroke, setItemLabelAnchor, setItemLabelAnchorOffset, setItemLabelAngle, setItemLabelFont, setItemLabelFont, setItemLabelPaint, setItemLabelPaint, setItemLabelRotationAnchor, setItemLabelsVisible, setItemLabelsVisible, setItemLabelsVisible, setItemLabelTextAnchor, setNegativeItemLabelPosition, setNegativeItemLabelPosition, setOutlinePaint, setOutlinePaint, setOutlineStroke, setOutlineStroke, setPaint, setPaint, setPositiveItemLabelPosition, setPositiveItemLabelPosition, setSeriesAngle, setSeriesItemLabelAnchor, setSeriesItemLabelFont, setSeriesItemLabelFont, setSeriesItemLabelPaint, setSeriesItemLabelPaint, setSeriesItemLabelRotationAnchor, setSeriesItemLabelsVisible, setSeriesItemLabelsVisible, setSeriesItemLabelsVisible, setSeriesItemLabelTextAnchor, setSeriesNegativeItemLabelPosition, setSeriesNegativeItemLabelPosition, setSeriesOutlinePaint, setSeriesOutlinePaint, setSeriesOutlineStroke, setSeriesOutlineStroke, setSeriesPaint, setSeriesPaint, setSeriesPositiveItemLabelPosition, setSeriesPositiveItemLabelPosition, setSeriesShape, setSeriesShape, setSeriesStroke, setSeriesStroke, setShape, setShape, setStroke, setStroke`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.util.PublicCloneable
`clone`

Methods inherited from interface org.jfree.chart.renderer.CategoryItemRenderer
`addChangeListener, getBaseItemLabelAnchor, getBaseItemLabelFont, getBaseItemLabelPaint, getBaseItemLabelsVisible, getBaseItemLabelTextAnchor, getBaseNegativeItemLabelPosition, getBaseOutlinePaint, getBaseOutlineStroke, getBasePaint, getBasePositiveItemLabelPosition, getBaseShape, getBaseStroke, getItemLabelAnchor, getItemLabelFont, getItemLabelFont, getItemLabelPaint, getItemLabelPaint, getItemLabelTextAnchor, getItemOutlinePaint, getItemOutlineStroke, getItemPaint, getItemShape, getItemStroke, getNegativeItemLabelPosition, getNegativeItemLabelPosition, getPositiveItemLabelPosition, getPositiveItemLabelPosition, getSeriesItemLabelAnchor, getSeriesItemLabelFont, getSeriesItemLabelPaint, getSeriesItemLabelTextAnchor, getSeriesNegativeItemLabelPosition, getSeriesOutlinePaint, getSeriesOutlineStroke, getSeriesPaint, getSeriesPositiveItemLabelPosition, getSeriesShape, getSeriesStroke, isItemLabelVisible, isSeriesItemLabelsVisible, removeChangeListener, setBaseItemLabelAnchor, setBaseItemLabelFont, setBaseItemLabelPaint, setBaseItemLabelsVisible, setBaseItemLabelsVisible, setBaseItemLabelsVisible, setBaseItemLabelTextAnchor, setBaseNegativeItemLabelPosition, setBaseNegativeItemLabelPosition, setBaseOutlinePaint, setBaseOutlineStroke, setBasePaint, setBasePositiveItemLabelPosition, setBasePositiveItemLabelPosition, setBaseShape, setBaseStroke, setItemLabelAnchor, setItemLabelFont, setItemLabelPaint, setItemLabelsVisible, setItemLabelsVisible, setItemLabelsVisible, setItemLabelTextAnchor, setNegativeItemLabelPosition, setNegativeItemLabelPosition, setOutlinePaint, setOutlineStroke, setPaint, setPositiveItemLabelPosition, setPositiveItemLabelPosition, setSeriesItemLabelAnchor, setSeriesItemLabelFont, setSeriesItemLabelPaint, setSeriesItemLabelsVisible, setSeriesItemLabelsVisible, setSeriesItemLabelsVisible, setSeriesItemLabelTextAnchor, setSeriesNegativeItemLabelPosition, setSeriesNegativeItemLabelPosition, setSeriesOutlinePaint, setSeriesOutlineStroke, setSeriesPaint, setSeriesPositiveItemLabelPosition, setSeriesPositiveItemLabelPosition, setSeriesShape, setSeriesStroke, setShape, setStroke`

Field Detail

### DEFAULT_X_OFFSET

    public static final double DEFAULT_X_OFFSET

  The default x-offset for the 3D effect.

  See Also:
    Constant Field Values

### DEFAULT_Y_OFFSET

    public static final double DEFAULT_Y_OFFSET

  The default y-offset for the 3D effect.

  See Also:
    Constant Field Values

### DEFAULT_WALL_PAINT

    public static final java.awt.Paint DEFAULT_WALL_PAINT

  The default wall paint.

Constructor Detail

### BarRenderer3D

    public BarRenderer3D()

  Default constructor, creates a renderer with a ten pixel '3D effect'.

### BarRenderer3D

    public BarRenderer3D(double xOffset,
                         double yOffset)

  Constructs a new renderer with the specified '3D effect'.

Parameters:
  `xOffset` - the x-offset for the 3D effect.
  `yOffset` - the y-offset for the 3D effect.

Method Detail

### getXOffset

    public double getXOffset()

  Returns the x-offset for the 3D effect.

  Specified by:
    `getXOffset` in interface `Effect3D`
  Returns:
    the 3D effect.

### getYOffset

    public double getYOffset()

  Returns the y-offset for the 3D effect.

  Specified by:
    `getYOffset` in interface `Effect3D`
  Returns:
    the 3D effect.

### getWallPaint

    public java.awt.Paint getWallPaint()

  Returns the paint used to highlight the left and bottom wall in the plot background.

  Returns:
    The paint.

### setWallPaint

    public void setWallPaint(java.awt.Paint paint)

  Sets the paint used to hightlight the left and bottom walls in the plot background.

  Parameters:
    `paint` - the paint.

### drawBackground

    public void drawBackground(java.awt.Graphics2D g2,
                               CategoryPlot plot,
                               java.awt.geom.Rectangle2D dataArea)

  Draws the background for the plot.

  Specified by:
    `drawBackground` in interface `CategoryItemRenderer`
  Overrides:
    `drawBackground` in class `AbstractCategoryItemRenderer`
  Parameters:
    `g2` - the graphics device.
    `plot` - the plot.
    `dataArea` - the area inside the axes.

### drawOutline

    public void drawOutline(java.awt.Graphics2D g2,
                            CategoryPlot plot,
                            java.awt.geom.Rectangle2D dataArea)

  Draws the outline for the plot.

  Specified by:
    `drawOutline` in interface `CategoryItemRenderer`
  Overrides:
    `drawOutline` in class `AbstractCategoryItemRenderer`
  Parameters:
    `g2` - the graphics device.
    `plot` - the plot.
    `dataArea` - the area inside the axes.

### drawDomainGridline

    public void drawDomainGridline(java.awt.Graphics2D g2,
                                   CategoryPlot plot,
                                   java.awt.geom.Rectangle2D dataArea,
                                   double value)

  Draws a grid line against the domain axis.

  Specified by:
    `drawDomainGridline` in interface `CategoryItemRenderer`
  Overrides:
    `drawDomainGridline` in class `AbstractCategoryItemRenderer`
  Parameters:
    `g2` - the graphics device.
    `plot` - the plot.
    `dataArea` - the area for plotting data (not yet adjusted for any 3D effect).
    `value` - the Java2D value at which the grid line should be drawn.

### drawRangeGridline

    public void drawRangeGridline(java.awt.Graphics2D g2,
                                  CategoryPlot plot,
                                  ValueAxis axis,
                                  java.awt.geom.Rectangle2D dataArea,
                                  double value)

  Draws a grid line against the range axis.

  Specified by:
    `drawRangeGridline` in interface `CategoryItemRenderer`
  Overrides:
    `drawRangeGridline` in class `AbstractCategoryItemRenderer`
  Parameters:
    `g2` - the graphics device.
    `plot` - the plot.
    `axis` - the value axis.
    `dataArea` - the area for plotting data (not yet adjusted for any 3D effect).
    `value` - the value at which the grid line should be drawn.

### drawRangeMarker

    public void drawRangeMarker(java.awt.Graphics2D g2,
                                CategoryPlot plot,
                                ValueAxis axis,
                                Marker marker,
                                java.awt.geom.Rectangle2D dataArea)

  Draws a range marker.

  Specified by:
    `drawRangeMarker` in interface `CategoryItemRenderer`
  Overrides:
    `drawRangeMarker` in class `AbstractCategoryItemRenderer`
  Parameters:
    `g2` - the graphics device.
    `plot` - the plot.
    `axis` - the value axis.
    `marker` - the marker.
    `dataArea` - the area for plotting data (not including 3D effect).

### drawItem

    public void drawItem(java.awt.Graphics2D g2,
                         CategoryItemRendererState state,
                         java.awt.geom.Rectangle2D dataArea,
                         CategoryPlot plot,
                         CategoryAxis domainAxis,
                         ValueAxis rangeAxis,
                         CategoryDataset dataset,
                         int row,
                         int column)

  Draws a 3D bar to represent one data item.

  Specified by:
    `drawItem` in interface `CategoryItemRenderer`
  Overrides:
    `drawItem` in class `BarRenderer`
  Parameters:
    `g2` - the graphics device.
    `state` - the renderer state.
    `dataArea` - the area for plotting the data.
    `plot` - the plot.
    `domainAxis` - the domain axis.
    `rangeAxis` - the range axis.
    `dataset` - the dataset.
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD